## org.eclipse.xsd.provider
Class XSDItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.xsd.util.XSDAdapterFactory
              org.eclipse.xsd.provider.XSDItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

Direct Known Subclasses:
  XSDSemanticItemProviderAdapterFactory

    public class XSDItemProviderAdapterFactory

extends XSDAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support JFace viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected Disposable` `disposable` This is used to implement `IDisposable`.
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
`protected XSDAnnotationItemProvider` `xsdAnnotationItemProvider` This keeps track of the one adapter used for all `XSDAnnotation` instances.
`protected XSDAttributeDeclarationItemProvider` `xsdAttributeDeclarationItemProvider` This keeps track of the one adapter used for all `XSDAttributeDeclaration` instances.
`protected XSDAttributeGroupContentItemProvider` `xsdAttributeGroupContentItemProvider` This keeps track of the one adapter used for all `XSDAttributeGroupContent` instances.
`protected XSDAttributeGroupDefinitionItemProvider` `xsdAttributeGroupDefinitionItemProvider` This keeps track of the one adapter used for all `XSDAttributeGroupDefinition` instances.
`protected XSDAttributeUseItemProvider` `xsdAttributeUseItemProvider` This keeps track of the one adapter used for all `XSDAttributeUse` instances.
`protected XSDBoundedFacetItemProvider` `xsdBoundedFacetItemProvider` This keeps track of the one adapter used for all `XSDBoundedFacet` instances.
`protected XSDCardinalityFacetItemProvider` `xsdCardinalityFacetItemProvider` This keeps track of the one adapter used for all `XSDCardinalityFacet` instances.
`protected XSDComplexTypeContentItemProvider` `xsdComplexTypeContentItemProvider` This keeps track of the one adapter used for all `XSDComplexTypeContent` instances.
`protected XSDComplexTypeDefinitionItemProvider` `xsdComplexTypeDefinitionItemProvider` This keeps track of the one adapter used for all `XSDComplexTypeDefinition` instances.
`protected XSDComponentItemProvider` `xsdComponentItemProvider` This keeps track of the one adapter used for all `XSDComponent` instances.
`protected XSDConcreteComponentItemProvider` `xsdConcreteComponentItemProvider` This keeps track of the one adapter used for all `XSDConcreteComponent` instances.
`protected XSDConstrainingFacetItemProvider` `xsdConstrainingFacetItemProvider` This keeps track of the one adapter used for all `XSDConstrainingFacet` instances.
`protected XSDDiagnosticItemProvider` `xsdDiagnosticItemProvider` This keeps track of the one adapter used for all `XSDDiagnostic` instances.
`protected XSDElementDeclarationItemProvider` `xsdElementDeclarationItemProvider` This keeps track of the one adapter used for all `XSDElementDeclaration` instances.
`protected XSDEnumerationFacetItemProvider` `xsdEnumerationFacetItemProvider` This keeps track of the one adapter used for all `XSDEnumerationFacet` instances.
`protected XSDFacetItemProvider` `xsdFacetItemProvider` This keeps track of the one adapter used for all `XSDFacet` instances.
`protected XSDFeatureItemProvider` `xsdFeatureItemProvider` This keeps track of the one adapter used for all `XSDFeature` instances.
`protected XSDFixedFacetItemProvider` `xsdFixedFacetItemProvider` This keeps track of the one adapter used for all `XSDFixedFacet` instances.
`protected XSDFractionDigitsFacetItemProvider` `xsdFractionDigitsFacetItemProvider` This keeps track of the one adapter used for all `XSDFractionDigitsFacet` instances.
`protected XSDFundamentalFacetItemProvider` `xsdFundamentalFacetItemProvider` This keeps track of the one adapter used for all `XSDFundamentalFacet` instances.
`protected XSDIdentityConstraintDefinitionItemProvider` `xsdIdentityConstraintDefinitionItemProvider` This keeps track of the one adapter used for all `XSDIdentityConstraintDefinition` instances.
`protected XSDImportItemProvider` `xsdImportItemProvider` This keeps track of the one adapter used for all `XSDImport` instances.
`protected XSDIncludeItemProvider` `xsdIncludeItemProvider` This keeps track of the one adapter used for all `XSDInclude` instances.
`protected XSDLengthFacetItemProvider` `xsdLengthFacetItemProvider` This keeps track of the one adapter used for all `XSDLengthFacet` instances.
`protected XSDMaxExclusiveFacetItemProvider` `xsdMaxExclusiveFacetItemProvider` This keeps track of the one adapter used for all `XSDMaxExclusiveFacet` instances.
`protected XSDMaxFacetItemProvider` `xsdMaxFacetItemProvider` This keeps track of the one adapter used for all `XSDMaxFacet` instances.
`protected XSDMaxInclusiveFacetItemProvider` `xsdMaxInclusiveFacetItemProvider` This keeps track of the one adapter used for all `XSDMaxInclusiveFacet` instances.
`protected XSDMaxLengthFacetItemProvider` `xsdMaxLengthFacetItemProvider` This keeps track of the one adapter used for all `XSDMaxLengthFacet` instances.
`protected XSDMinExclusiveFacetItemProvider` `xsdMinExclusiveFacetItemProvider` This keeps track of the one adapter used for all `XSDMinExclusiveFacet` instances.
`protected XSDMinFacetItemProvider` `xsdMinFacetItemProvider` This keeps track of the one adapter used for all `XSDMinFacet` instances.
`protected XSDMinInclusiveFacetItemProvider` `xsdMinInclusiveFacetItemProvider` This keeps track of the one adapter used for all `XSDMinInclusiveFacet` instances.
`protected XSDMinLengthFacetItemProvider` `xsdMinLengthFacetItemProvider` This keeps track of the one adapter used for all `XSDMinLengthFacet` instances.
`protected XSDModelGroupDefinitionItemProvider` `xsdModelGroupDefinitionItemProvider` This keeps track of the one adapter used for all `XSDModelGroupDefinition` instances.
`protected XSDModelGroupItemProvider` `xsdModelGroupItemProvider` This keeps track of the one adapter used for all `XSDModelGroup` instances.
`protected XSDNamedComponentItemProvider` `xsdNamedComponentItemProvider` This keeps track of the one adapter used for all `XSDNamedComponent` instances.
`protected XSDNotationDeclarationItemProvider` `xsdNotationDeclarationItemProvider` This keeps track of the one adapter used for all `XSDNotationDeclaration` instances.
`protected XSDNumericFacetItemProvider` `xsdNumericFacetItemProvider` This keeps track of the one adapter used for all `XSDNumericFacet` instances.
`protected XSDOrderedFacetItemProvider` `xsdOrderedFacetItemProvider` This keeps track of the one adapter used for all `XSDOrderedFacet` instances.
`protected XSDParticleContentItemProvider` `xsdParticleContentItemProvider` This keeps track of the one adapter used for all `XSDParticleContent` instances.
`protected XSDParticleItemProvider` `xsdParticleItemProvider` This keeps track of the one adapter used for all `XSDParticle` instances.
`protected XSDPatternFacetItemProvider` `xsdPatternFacetItemProvider` This keeps track of the one adapter used for all `XSDPatternFacet` instances.
`protected XSDRedefinableComponentItemProvider` `xsdRedefinableComponentItemProvider` This keeps track of the one adapter used for all `XSDRedefinableComponent` instances.
`protected XSDRedefineContentItemProvider` `xsdRedefineContentItemProvider` This keeps track of the one adapter used for all `XSDRedefineContent` instances.
`protected XSDRedefineItemProvider` `xsdRedefineItemProvider` This keeps track of the one adapter used for all `XSDRedefine` instances.
`protected XSDRepeatableFacetItemProvider` `xsdRepeatableFacetItemProvider` This keeps track of the one adapter used for all `XSDRepeatableFacet` instances.
`protected XSDSchemaCompositorItemProvider` `xsdSchemaCompositorItemProvider` This keeps track of the one adapter used for all `XSDSchemaCompositor` instances.
`protected XSDSchemaContentItemProvider` `xsdSchemaContentItemProvider` This keeps track of the one adapter used for all `XSDSchemaContent` instances.
`protected XSDSchemaDirectiveItemProvider` `xsdSchemaDirectiveItemProvider` This keeps track of the one adapter used for all `XSDSchemaDirective` instances.
`protected XSDSchemaItemProvider` `xsdSchemaItemProvider` This keeps track of the one adapter used for all `XSDSchema` instances.
`protected XSDScopeItemProvider` `xsdScopeItemProvider` This keeps track of the one adapter used for all `XSDScope` instances.
`protected XSDSimpleTypeDefinitionItemProvider` `xsdSimpleTypeDefinitionItemProvider` This keeps track of the one adapter used for all `XSDSimpleTypeDefinition` instances.
`protected XSDTermItemProvider` `xsdTermItemProvider` This keeps track of the one adapter used for all `XSDTerm` instances.
`protected XSDTotalDigitsFacetItemProvider` `xsdTotalDigitsFacetItemProvider` This keeps track of the one adapter used for all `XSDTotalDigitsFacet` instances.
`protected XSDTypeDefinitionItemProvider` `xsdTypeDefinitionItemProvider` This keeps track of the one adapter used for all `XSDTypeDefinition` instances.
`protected XSDWhiteSpaceFacetItemProvider` `xsdWhiteSpaceFacetItemProvider` This keeps track of the one adapter used for all `XSDWhiteSpaceFacet` instances.
`protected XSDWildcardItemProvider` `xsdWildcardItemProvider` This keeps track of the one adapter used for all `XSDWildcard` instances.
`protected XSDXPathDefinitionItemProvider` `xsdxPathDefinitionItemProvider` This keeps track of the one adapter used for all `XSDXPathDefinition` instances.

Fields inherited from class org.eclipse.xsd.util.XSDAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`XSDItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`protected void` `associate(Adapter adapter, Notifier target)`
`Adapter` `createXSDAnnotationAdapter()` This creates an adapter for a `XSDAnnotation`.
`Adapter` `createXSDAttributeDeclarationAdapter()` This creates an adapter for a `XSDAttributeDeclaration`.
`Adapter` `createXSDAttributeGroupContentAdapter()` This creates an adapter for a `XSDAttributeGroupContent`.
`Adapter` `createXSDAttributeGroupDefinitionAdapter()` This creates an adapter for a `XSDAttributeGroupDefinition`.
`Adapter` `createXSDAttributeUseAdapter()` This creates an adapter for a `XSDAttributeUse`.
`Adapter` `createXSDBoundedFacetAdapter()` This creates an adapter for a `XSDBoundedFacet`.
`Adapter` `createXSDCardinalityFacetAdapter()` This creates an adapter for a `XSDCardinalityFacet`.
`Adapter` `createXSDComplexTypeContentAdapter()` This creates an adapter for a `XSDComplexTypeContent`.
`Adapter` `createXSDComplexTypeDefinitionAdapter()` This creates an adapter for a `XSDComplexTypeDefinition`.
`Adapter` `createXSDComponentAdapter()` This creates an adapter for a `XSDComponent`.
`Adapter` `createXSDConcreteComponentAdapter()` This creates an adapter for a `XSDConcreteComponent`.
`Adapter` `createXSDConstrainingFacetAdapter()` This creates an adapter for a `XSDConstrainingFacet`.
`Adapter` `createXSDDiagnosticAdapter()` This creates an adapter for a `XSDDiagnostic`.
`Adapter` `createXSDElementDeclarationAdapter()` This creates an adapter for a `XSDElementDeclaration`.
`Adapter` `createXSDEnumerationFacetAdapter()` This creates an adapter for a `XSDEnumerationFacet`.
`Adapter` `createXSDFacetAdapter()` This creates an adapter for a `XSDFacet`.
`Adapter` `createXSDFeatureAdapter()` This creates an adapter for a `XSDFeature`.
`Adapter` `createXSDFixedFacetAdapter()` This creates an adapter for a `XSDFixedFacet`.
`Adapter` `createXSDFractionDigitsFacetAdapter()` This creates an adapter for a `XSDFractionDigitsFacet`.
`Adapter` `createXSDFundamentalFacetAdapter()` This creates an adapter for a `XSDFundamentalFacet`.
`Adapter` `createXSDIdentityConstraintDefinitionAdapter()` This creates an adapter for a `XSDIdentityConstraintDefinition`.
`Adapter` `createXSDImportAdapter()` This creates an adapter for a `XSDImport`.
`Adapter` `createXSDIncludeAdapter()` This creates an adapter for a `XSDInclude`.
`Adapter` `createXSDLengthFacetAdapter()` This creates an adapter for a `XSDLengthFacet`.
`Adapter` `createXSDMaxExclusiveFacetAdapter()` This creates an adapter for a `XSDMaxExclusiveFacet`.
`Adapter` `createXSDMaxFacetAdapter()` This creates an adapter for a `XSDMaxFacet`.
`Adapter` `createXSDMaxInclusiveFacetAdapter()` This creates an adapter for a `XSDMaxInclusiveFacet`.
`Adapter` `createXSDMaxLengthFacetAdapter()` This creates an adapter for a `XSDMaxLengthFacet`.
`Adapter` `createXSDMinExclusiveFacetAdapter()` This creates an adapter for a `XSDMinExclusiveFacet`.
`Adapter` `createXSDMinFacetAdapter()` This creates an adapter for a `XSDMinFacet`.
`Adapter` `createXSDMinInclusiveFacetAdapter()` This creates an adapter for a `XSDMinInclusiveFacet`.
`Adapter` `createXSDMinLengthFacetAdapter()` This creates an adapter for a `XSDMinLengthFacet`.
`Adapter` `createXSDModelGroupAdapter()` This creates an adapter for a `XSDModelGroup`.
`Adapter` `createXSDModelGroupDefinitionAdapter()` This creates an adapter for a `XSDModelGroupDefinition`.
`Adapter` `createXSDNamedComponentAdapter()` This creates an adapter for a `XSDNamedComponent`.
`Adapter` `createXSDNotationDeclarationAdapter()` This creates an adapter for a `XSDNotationDeclaration`.
`Adapter` `createXSDNumericFacetAdapter()` This creates an adapter for a `XSDNumericFacet`.
`Adapter` `createXSDOrderedFacetAdapter()` This creates an adapter for a `XSDOrderedFacet`.
`Adapter` `createXSDParticleAdapter()` This creates an adapter for a `XSDParticle`.
`Adapter` `createXSDParticleContentAdapter()` This creates an adapter for a `XSDParticleContent`.
`Adapter` `createXSDPatternFacetAdapter()` This creates an adapter for a `XSDPatternFacet`.
`Adapter` `createXSDRedefinableComponentAdapter()` This creates an adapter for a `XSDRedefinableComponent`.
`Adapter` `createXSDRedefineAdapter()` This creates an adapter for a `XSDRedefine`.
`Adapter` `createXSDRedefineContentAdapter()` This creates an adapter for a `XSDRedefineContent`.
`Adapter` `createXSDRepeatableFacetAdapter()` This creates an adapter for a `XSDRepeatableFacet`.
`Adapter` `createXSDSchemaAdapter()` This creates an adapter for a `XSDSchema`.
`Adapter` `createXSDSchemaCompositorAdapter()` This creates an adapter for a `XSDSchemaCompositor`.
`Adapter` `createXSDSchemaContentAdapter()` This creates an adapter for a `XSDSchemaContent`.
`Adapter` `createXSDSchemaDirectiveAdapter()` This creates an adapter for a `XSDSchemaDirective`.
`Adapter` `createXSDScopeAdapter()` This creates an adapter for a `XSDScope`.
`Adapter` `createXSDSimpleTypeDefinitionAdapter()` This creates an adapter for a `XSDSimpleTypeDefinition`.
`Adapter` `createXSDTermAdapter()` This creates an adapter for a `XSDTerm`.
`Adapter` `createXSDTotalDigitsFacetAdapter()` This creates an adapter for a `XSDTotalDigitsFacet`.
`Adapter` `createXSDTypeDefinitionAdapter()` This creates an adapter for a `XSDTypeDefinition`.
`Adapter` `createXSDWhiteSpaceFacetAdapter()` This creates an adapter for a `XSDWhiteSpaceFacet`.
`Adapter` `createXSDWildcardAdapter()` This creates an adapter for a `XSDWildcard`.
`Adapter` `createXSDXPathDefinitionAdapter()` This creates an adapter for a `XSDXPathDefinition`.
`void` `dispose()`
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)` Returns whether this factory is applicable for the type of the object
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.xsd.util.XSDAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### disposable

    protected Disposable disposable

  This is used to implement `IDisposable`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### xsdAnnotationItemProvider

    protected XSDAnnotationItemProvider xsdAnnotationItemProvider

  This keeps track of the one adapter used for all `XSDAnnotation` instances.

### xsdConcreteComponentItemProvider

    protected XSDConcreteComponentItemProvider xsdConcreteComponentItemProvider

  This keeps track of the one adapter used for all `XSDConcreteComponent` instances.

### xsdComponentItemProvider

    protected XSDComponentItemProvider xsdComponentItemProvider

  This keeps track of the one adapter used for all `XSDComponent` instances.

### xsdAttributeUseItemProvider

    protected XSDAttributeUseItemProvider xsdAttributeUseItemProvider

  This keeps track of the one adapter used for all `XSDAttributeUse` instances.

### xsdFeatureItemProvider

    protected XSDFeatureItemProvider xsdFeatureItemProvider

  This keeps track of the one adapter used for all `XSDFeature` instances.

### xsdElementDeclarationItemProvider

    protected XSDElementDeclarationItemProvider xsdElementDeclarationItemProvider

  This keeps track of the one adapter used for all `XSDElementDeclaration` instances.

### xsdSchemaItemProvider

    protected XSDSchemaItemProvider xsdSchemaItemProvider

  This keeps track of the one adapter used for all `XSDSchema` instances.

### xsdComplexTypeDefinitionItemProvider

    protected XSDComplexTypeDefinitionItemProvider xsdComplexTypeDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDComplexTypeDefinition` instances.

### xsdScopeItemProvider

    protected XSDScopeItemProvider xsdScopeItemProvider

  This keeps track of the one adapter used for all `XSDScope` instances.

### xsdTypeDefinitionItemProvider

    protected XSDTypeDefinitionItemProvider xsdTypeDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDTypeDefinition` instances.

### xsdSimpleTypeDefinitionItemProvider

    protected XSDSimpleTypeDefinitionItemProvider xsdSimpleTypeDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDSimpleTypeDefinition` instances.

### xsdComplexTypeContentItemProvider

    protected XSDComplexTypeContentItemProvider xsdComplexTypeContentItemProvider

  This keeps track of the one adapter used for all `XSDComplexTypeContent` instances.

### xsdParticleItemProvider

    protected XSDParticleItemProvider xsdParticleItemProvider

  This keeps track of the one adapter used for all `XSDParticle` instances.

### xsdModelGroupItemProvider

    protected XSDModelGroupItemProvider xsdModelGroupItemProvider

  This keeps track of the one adapter used for all `XSDModelGroup` instances.

### xsdTermItemProvider

    protected XSDTermItemProvider xsdTermItemProvider

  This keeps track of the one adapter used for all `XSDTerm` instances.

### xsdParticleContentItemProvider

    protected XSDParticleContentItemProvider xsdParticleContentItemProvider

  This keeps track of the one adapter used for all `XSDParticleContent` instances.

### xsdModelGroupDefinitionItemProvider

    protected XSDModelGroupDefinitionItemProvider xsdModelGroupDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDModelGroupDefinition` instances.

### xsdRedefineContentItemProvider

    protected XSDRedefineContentItemProvider xsdRedefineContentItemProvider

  This keeps track of the one adapter used for all `XSDRedefineContent` instances.

### xsdRedefinableComponentItemProvider

    protected XSDRedefinableComponentItemProvider xsdRedefinableComponentItemProvider

  This keeps track of the one adapter used for all `XSDRedefinableComponent` instances.

### xsdAttributeGroupDefinitionItemProvider

    protected XSDAttributeGroupDefinitionItemProvider xsdAttributeGroupDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDAttributeGroupDefinition` instances.

### xsdAttributeGroupContentItemProvider

    protected XSDAttributeGroupContentItemProvider xsdAttributeGroupContentItemProvider

  This keeps track of the one adapter used for all `XSDAttributeGroupContent` instances.

### xsdWildcardItemProvider

    protected XSDWildcardItemProvider xsdWildcardItemProvider

  This keeps track of the one adapter used for all `XSDWildcard` instances.

### xsdNamedComponentItemProvider

    protected XSDNamedComponentItemProvider xsdNamedComponentItemProvider

  This keeps track of the one adapter used for all `XSDNamedComponent` instances.

### xsdIdentityConstraintDefinitionItemProvider

    protected XSDIdentityConstraintDefinitionItemProvider xsdIdentityConstraintDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDIdentityConstraintDefinition` instances.

### xsdxPathDefinitionItemProvider

    protected XSDXPathDefinitionItemProvider xsdxPathDefinitionItemProvider

  This keeps track of the one adapter used for all `XSDXPathDefinition` instances.

### xsdNotationDeclarationItemProvider

    protected XSDNotationDeclarationItemProvider xsdNotationDeclarationItemProvider

  This keeps track of the one adapter used for all `XSDNotationDeclaration` instances.

### xsdSchemaContentItemProvider

    protected XSDSchemaContentItemProvider xsdSchemaContentItemProvider

  This keeps track of the one adapter used for all `XSDSchemaContent` instances.

### xsdAttributeDeclarationItemProvider

    protected XSDAttributeDeclarationItemProvider xsdAttributeDeclarationItemProvider

  This keeps track of the one adapter used for all `XSDAttributeDeclaration` instances.

### xsdSchemaDirectiveItemProvider

    protected XSDSchemaDirectiveItemProvider xsdSchemaDirectiveItemProvider

  This keeps track of the one adapter used for all `XSDSchemaDirective` instances.

### xsdImportItemProvider

    protected XSDImportItemProvider xsdImportItemProvider

  This keeps track of the one adapter used for all `XSDImport` instances.

### xsdSchemaCompositorItemProvider

    protected XSDSchemaCompositorItemProvider xsdSchemaCompositorItemProvider

  This keeps track of the one adapter used for all `XSDSchemaCompositor` instances.

### xsdRedefineItemProvider

    protected XSDRedefineItemProvider xsdRedefineItemProvider

  This keeps track of the one adapter used for all `XSDRedefine` instances.

### xsdIncludeItemProvider

    protected XSDIncludeItemProvider xsdIncludeItemProvider

  This keeps track of the one adapter used for all `XSDInclude` instances.

### xsdFacetItemProvider

    protected XSDFacetItemProvider xsdFacetItemProvider

  This keeps track of the one adapter used for all `XSDFacet` instances.

### xsdConstrainingFacetItemProvider

    protected XSDConstrainingFacetItemProvider xsdConstrainingFacetItemProvider

  This keeps track of the one adapter used for all `XSDConstrainingFacet` instances.

### xsdFixedFacetItemProvider

    protected XSDFixedFacetItemProvider xsdFixedFacetItemProvider

  This keeps track of the one adapter used for all `XSDFixedFacet` instances.

### xsdFractionDigitsFacetItemProvider

    protected XSDFractionDigitsFacetItemProvider xsdFractionDigitsFacetItemProvider

  This keeps track of the one adapter used for all `XSDFractionDigitsFacet` instances.

### xsdLengthFacetItemProvider

    protected XSDLengthFacetItemProvider xsdLengthFacetItemProvider

  This keeps track of the one adapter used for all `XSDLengthFacet` instances.

### xsdMaxFacetItemProvider

    protected XSDMaxFacetItemProvider xsdMaxFacetItemProvider

  This keeps track of the one adapter used for all `XSDMaxFacet` instances.

### xsdMaxExclusiveFacetItemProvider

    protected XSDMaxExclusiveFacetItemProvider xsdMaxExclusiveFacetItemProvider

  This keeps track of the one adapter used for all `XSDMaxExclusiveFacet` instances.

### xsdEnumerationFacetItemProvider

    protected XSDEnumerationFacetItemProvider xsdEnumerationFacetItemProvider

  This keeps track of the one adapter used for all `XSDEnumerationFacet` instances.

### xsdRepeatableFacetItemProvider

    protected XSDRepeatableFacetItemProvider xsdRepeatableFacetItemProvider

  This keeps track of the one adapter used for all `XSDRepeatableFacet` instances.

### xsdPatternFacetItemProvider

    protected XSDPatternFacetItemProvider xsdPatternFacetItemProvider

  This keeps track of the one adapter used for all `XSDPatternFacet` instances.

### xsdMinFacetItemProvider

    protected XSDMinFacetItemProvider xsdMinFacetItemProvider

  This keeps track of the one adapter used for all `XSDMinFacet` instances.

### xsdMinExclusiveFacetItemProvider

    protected XSDMinExclusiveFacetItemProvider xsdMinExclusiveFacetItemProvider

  This keeps track of the one adapter used for all `XSDMinExclusiveFacet` instances.

### xsdMinInclusiveFacetItemProvider

    protected XSDMinInclusiveFacetItemProvider xsdMinInclusiveFacetItemProvider

  This keeps track of the one adapter used for all `XSDMinInclusiveFacet` instances.

### xsdMaxInclusiveFacetItemProvider

    protected XSDMaxInclusiveFacetItemProvider xsdMaxInclusiveFacetItemProvider

  This keeps track of the one adapter used for all `XSDMaxInclusiveFacet` instances.

### xsdMaxLengthFacetItemProvider

    protected XSDMaxLengthFacetItemProvider xsdMaxLengthFacetItemProvider

  This keeps track of the one adapter used for all `XSDMaxLengthFacet` instances.

### xsdMinLengthFacetItemProvider

    protected XSDMinLengthFacetItemProvider xsdMinLengthFacetItemProvider

  This keeps track of the one adapter used for all `XSDMinLengthFacet` instances.

### xsdTotalDigitsFacetItemProvider

    protected XSDTotalDigitsFacetItemProvider xsdTotalDigitsFacetItemProvider

  This keeps track of the one adapter used for all `XSDTotalDigitsFacet` instances.

### xsdWhiteSpaceFacetItemProvider

    protected XSDWhiteSpaceFacetItemProvider xsdWhiteSpaceFacetItemProvider

  This keeps track of the one adapter used for all `XSDWhiteSpaceFacet` instances.

### xsdFundamentalFacetItemProvider

    protected XSDFundamentalFacetItemProvider xsdFundamentalFacetItemProvider

  This keeps track of the one adapter used for all `XSDFundamentalFacet` instances.

### xsdBoundedFacetItemProvider

    protected XSDBoundedFacetItemProvider xsdBoundedFacetItemProvider

  This keeps track of the one adapter used for all `XSDBoundedFacet` instances.

### xsdCardinalityFacetItemProvider

    protected XSDCardinalityFacetItemProvider xsdCardinalityFacetItemProvider

  This keeps track of the one adapter used for all `XSDCardinalityFacet` instances.

### xsdNumericFacetItemProvider

    protected XSDNumericFacetItemProvider xsdNumericFacetItemProvider

  This keeps track of the one adapter used for all `XSDNumericFacet` instances.

### xsdOrderedFacetItemProvider

    protected XSDOrderedFacetItemProvider xsdOrderedFacetItemProvider

  This keeps track of the one adapter used for all `XSDOrderedFacet` instances.

### xsdDiagnosticItemProvider

    protected XSDDiagnosticItemProvider xsdDiagnosticItemProvider

  This keeps track of the one adapter used for all `XSDDiagnostic` instances.

Constructor Detail

### XSDItemProviderAdapterFactory

    public XSDItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createXSDAnnotationAdapter

    public Adapter createXSDAnnotationAdapter()

  This creates an adapter for a `XSDAnnotation`.

  Overrides:
    `createXSDAnnotationAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAnnotation`

### createXSDConcreteComponentAdapter

    public Adapter createXSDConcreteComponentAdapter()

  This creates an adapter for a `XSDConcreteComponent`.

  Overrides:
    `createXSDConcreteComponentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDConcreteComponent`

### createXSDComponentAdapter

    public Adapter createXSDComponentAdapter()

  This creates an adapter for a `XSDComponent`.

  Overrides:
    `createXSDComponentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDComponent`

### createXSDAttributeUseAdapter

    public Adapter createXSDAttributeUseAdapter()

  This creates an adapter for a `XSDAttributeUse`.

  Overrides:
    `createXSDAttributeUseAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeUse`

### createXSDFeatureAdapter

    public Adapter createXSDFeatureAdapter()

  This creates an adapter for a `XSDFeature`.

  Overrides:
    `createXSDFeatureAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDFeature`

### createXSDElementDeclarationAdapter

    public Adapter createXSDElementDeclarationAdapter()

  This creates an adapter for a `XSDElementDeclaration`.

  Overrides:
    `createXSDElementDeclarationAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDElementDeclaration`

### createXSDSchemaAdapter

    public Adapter createXSDSchemaAdapter()

  This creates an adapter for a `XSDSchema`.

  Overrides:
    `createXSDSchemaAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSchema`

### createXSDComplexTypeDefinitionAdapter

    public Adapter createXSDComplexTypeDefinitionAdapter()

  This creates an adapter for a `XSDComplexTypeDefinition`.

  Overrides:
    `createXSDComplexTypeDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDComplexTypeDefinition`

### createXSDScopeAdapter

    public Adapter createXSDScopeAdapter()

  This creates an adapter for a `XSDScope`.

  Overrides:
    `createXSDScopeAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDScope`

### createXSDTypeDefinitionAdapter

    public Adapter createXSDTypeDefinitionAdapter()

  This creates an adapter for a `XSDTypeDefinition`.

  Overrides:
    `createXSDTypeDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDTypeDefinition`

### createXSDSimpleTypeDefinitionAdapter

    public Adapter createXSDSimpleTypeDefinitionAdapter()

  This creates an adapter for a `XSDSimpleTypeDefinition`.

  Overrides:
    `createXSDSimpleTypeDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSimpleTypeDefinition`

### createXSDComplexTypeContentAdapter

    public Adapter createXSDComplexTypeContentAdapter()

  This creates an adapter for a `XSDComplexTypeContent`.

  Overrides:
    `createXSDComplexTypeContentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDComplexTypeContent`

### createXSDParticleAdapter

    public Adapter createXSDParticleAdapter()

  This creates an adapter for a `XSDParticle`.

  Overrides:
    `createXSDParticleAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDParticle`

### createXSDModelGroupAdapter

    public Adapter createXSDModelGroupAdapter()

  This creates an adapter for a `XSDModelGroup`.

  Overrides:
    `createXSDModelGroupAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDModelGroup`

### createXSDTermAdapter

    public Adapter createXSDTermAdapter()

  This creates an adapter for a `XSDTerm`.

  Overrides:
    `createXSDTermAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDTerm`

### createXSDParticleContentAdapter

    public Adapter createXSDParticleContentAdapter()

  This creates an adapter for a `XSDParticleContent`.

  Overrides:
    `createXSDParticleContentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDParticleContent`

### createXSDModelGroupDefinitionAdapter

    public Adapter createXSDModelGroupDefinitionAdapter()

  This creates an adapter for a `XSDModelGroupDefinition`.

  Overrides:
    `createXSDModelGroupDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDModelGroupDefinition`

### createXSDRedefineContentAdapter

    public Adapter createXSDRedefineContentAdapter()

  This creates an adapter for a `XSDRedefineContent`.

  Overrides:
    `createXSDRedefineContentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDRedefineContent`

### createXSDRedefinableComponentAdapter

    public Adapter createXSDRedefinableComponentAdapter()

  This creates an adapter for a `XSDRedefinableComponent`.

  Overrides:
    `createXSDRedefinableComponentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDRedefinableComponent`

### createXSDAttributeGroupDefinitionAdapter

    public Adapter createXSDAttributeGroupDefinitionAdapter()

  This creates an adapter for a `XSDAttributeGroupDefinition`.

  Overrides:
    `createXSDAttributeGroupDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeGroupDefinition`

### createXSDAttributeGroupContentAdapter

    public Adapter createXSDAttributeGroupContentAdapter()

  This creates an adapter for a `XSDAttributeGroupContent`.

  Overrides:
    `createXSDAttributeGroupContentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeGroupContent`

### createXSDWildcardAdapter

    public Adapter createXSDWildcardAdapter()

  This creates an adapter for a `XSDWildcard`.

  Overrides:
    `createXSDWildcardAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDWildcard`

### createXSDNamedComponentAdapter

    public Adapter createXSDNamedComponentAdapter()

  This creates an adapter for a `XSDNamedComponent`.

  Overrides:
    `createXSDNamedComponentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDNamedComponent`

### createXSDIdentityConstraintDefinitionAdapter

    public Adapter createXSDIdentityConstraintDefinitionAdapter()

  This creates an adapter for a `XSDIdentityConstraintDefinition`.

  Overrides:
    `createXSDIdentityConstraintDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDIdentityConstraintDefinition`

### createXSDXPathDefinitionAdapter

    public Adapter createXSDXPathDefinitionAdapter()

  This creates an adapter for a `XSDXPathDefinition`.

  Overrides:
    `createXSDXPathDefinitionAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDXPathDefinition`

### createXSDNotationDeclarationAdapter

    public Adapter createXSDNotationDeclarationAdapter()

  This creates an adapter for a `XSDNotationDeclaration`.

  Overrides:
    `createXSDNotationDeclarationAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDNotationDeclaration`

### createXSDSchemaContentAdapter

    public Adapter createXSDSchemaContentAdapter()

  This creates an adapter for a `XSDSchemaContent`.

  Overrides:
    `createXSDSchemaContentAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSchemaContent`

### createXSDAttributeDeclarationAdapter

    public Adapter createXSDAttributeDeclarationAdapter()

  This creates an adapter for a `XSDAttributeDeclaration`.

  Overrides:
    `createXSDAttributeDeclarationAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDAttributeDeclaration`

### createXSDSchemaDirectiveAdapter

    public Adapter createXSDSchemaDirectiveAdapter()

  This creates an adapter for a `XSDSchemaDirective`.

  Overrides:
    `createXSDSchemaDirectiveAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSchemaDirective`

### createXSDImportAdapter

    public Adapter createXSDImportAdapter()

  This creates an adapter for a `XSDImport`.

  Overrides:
    `createXSDImportAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDImport`

### createXSDSchemaCompositorAdapter

    public Adapter createXSDSchemaCompositorAdapter()

  This creates an adapter for a `XSDSchemaCompositor`.

  Overrides:
    `createXSDSchemaCompositorAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDSchemaCompositor`

### createXSDRedefineAdapter

    public Adapter createXSDRedefineAdapter()

  This creates an adapter for a `XSDRedefine`.

  Overrides:
    `createXSDRedefineAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDRedefine`

### createXSDIncludeAdapter

    public Adapter createXSDIncludeAdapter()

  This creates an adapter for a `XSDInclude`.

  Overrides:
    `createXSDIncludeAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDInclude`

### createXSDFacetAdapter

    public Adapter createXSDFacetAdapter()

  This creates an adapter for a `XSDFacet`.

  Overrides:
    `createXSDFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDFacet`

### createXSDConstrainingFacetAdapter

    public Adapter createXSDConstrainingFacetAdapter()

  This creates an adapter for a `XSDConstrainingFacet`.

  Overrides:
    `createXSDConstrainingFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDConstrainingFacet`

### createXSDFixedFacetAdapter

    public Adapter createXSDFixedFacetAdapter()

  This creates an adapter for a `XSDFixedFacet`.

  Overrides:
    `createXSDFixedFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDFixedFacet`

### createXSDFractionDigitsFacetAdapter

    public Adapter createXSDFractionDigitsFacetAdapter()

  This creates an adapter for a `XSDFractionDigitsFacet`.

  Overrides:
    `createXSDFractionDigitsFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDFractionDigitsFacet`

### createXSDLengthFacetAdapter

    public Adapter createXSDLengthFacetAdapter()

  This creates an adapter for a `XSDLengthFacet`.

  Overrides:
    `createXSDLengthFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDLengthFacet`

### createXSDMaxFacetAdapter

    public Adapter createXSDMaxFacetAdapter()

  This creates an adapter for a `XSDMaxFacet`.

  Overrides:
    `createXSDMaxFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxFacet`

### createXSDMaxExclusiveFacetAdapter

    public Adapter createXSDMaxExclusiveFacetAdapter()

  This creates an adapter for a `XSDMaxExclusiveFacet`.

  Overrides:
    `createXSDMaxExclusiveFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxExclusiveFacet`

### createXSDEnumerationFacetAdapter

    public Adapter createXSDEnumerationFacetAdapter()

  This creates an adapter for a `XSDEnumerationFacet`.

  Overrides:
    `createXSDEnumerationFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDEnumerationFacet`

### createXSDRepeatableFacetAdapter

    public Adapter createXSDRepeatableFacetAdapter()

  This creates an adapter for a `XSDRepeatableFacet`.

  Overrides:
    `createXSDRepeatableFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDRepeatableFacet`

### createXSDPatternFacetAdapter

    public Adapter createXSDPatternFacetAdapter()

  This creates an adapter for a `XSDPatternFacet`.

  Overrides:
    `createXSDPatternFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDPatternFacet`

### createXSDMinFacetAdapter

    public Adapter createXSDMinFacetAdapter()

  This creates an adapter for a `XSDMinFacet`.

  Overrides:
    `createXSDMinFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinFacet`

### createXSDMinExclusiveFacetAdapter

    public Adapter createXSDMinExclusiveFacetAdapter()

  This creates an adapter for a `XSDMinExclusiveFacet`.

  Overrides:
    `createXSDMinExclusiveFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinExclusiveFacet`

### createXSDMinInclusiveFacetAdapter

    public Adapter createXSDMinInclusiveFacetAdapter()

  This creates an adapter for a `XSDMinInclusiveFacet`.

  Overrides:
    `createXSDMinInclusiveFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinInclusiveFacet`

### createXSDMaxInclusiveFacetAdapter

    public Adapter createXSDMaxInclusiveFacetAdapter()

  This creates an adapter for a `XSDMaxInclusiveFacet`.

  Overrides:
    `createXSDMaxInclusiveFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxInclusiveFacet`

### createXSDMaxLengthFacetAdapter

    public Adapter createXSDMaxLengthFacetAdapter()

  This creates an adapter for a `XSDMaxLengthFacet`.

  Overrides:
    `createXSDMaxLengthFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMaxLengthFacet`

### createXSDMinLengthFacetAdapter

    public Adapter createXSDMinLengthFacetAdapter()

  This creates an adapter for a `XSDMinLengthFacet`.

  Overrides:
    `createXSDMinLengthFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDMinLengthFacet`

### createXSDTotalDigitsFacetAdapter

    public Adapter createXSDTotalDigitsFacetAdapter()

  This creates an adapter for a `XSDTotalDigitsFacet`.

  Overrides:
    `createXSDTotalDigitsFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDTotalDigitsFacet`

### createXSDWhiteSpaceFacetAdapter

    public Adapter createXSDWhiteSpaceFacetAdapter()

  This creates an adapter for a `XSDWhiteSpaceFacet`.

  Overrides:
    `createXSDWhiteSpaceFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDWhiteSpaceFacet`

### createXSDFundamentalFacetAdapter

    public Adapter createXSDFundamentalFacetAdapter()

  This creates an adapter for a `XSDFundamentalFacet`.

  Overrides:
    `createXSDFundamentalFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDFundamentalFacet`

### createXSDBoundedFacetAdapter

    public Adapter createXSDBoundedFacetAdapter()

  This creates an adapter for a `XSDBoundedFacet`.

  Overrides:
    `createXSDBoundedFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDBoundedFacet`

### createXSDCardinalityFacetAdapter

    public Adapter createXSDCardinalityFacetAdapter()

  This creates an adapter for a `XSDCardinalityFacet`.

  Overrides:
    `createXSDCardinalityFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDCardinalityFacet`

### createXSDNumericFacetAdapter

    public Adapter createXSDNumericFacetAdapter()

  This creates an adapter for a `XSDNumericFacet`.

  Overrides:
    `createXSDNumericFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDNumericFacet`

### createXSDOrderedFacetAdapter

    public Adapter createXSDOrderedFacetAdapter()

  This creates an adapter for a `XSDOrderedFacet`.

  Overrides:
    `createXSDOrderedFacetAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDOrderedFacet`

### createXSDDiagnosticAdapter

    public Adapter createXSDDiagnosticAdapter()

  This creates an adapter for a `XSDDiagnostic`.

  Overrides:
    `createXSDDiagnosticAdapter` in class `XSDAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSDDiagnostic`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Description copied from class: `XSDAdapterFactory`
  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `XSDAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### associate

    protected void associate(Adapter adapter,
                             Notifier target)

  Overrides:
    `associate` in class `AdapterFactoryImpl`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.